Subject: Re: ITIMER Implimentation???
From: [email-masked]

4 Dec 1996 17:01:47 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi Jeremy, you wrote:

: Timers are not implemented yet in cygwin32 (Not even in
: the mythical beta17 :-). The reason is that asynchronous
: signals are not available in NT/95 (for reasons see the VMS
: source code or any other of Dave Cutlers work, ie. it's a
: religious thing :-).
: 
: I have some ideas on how to do this but involves a complete
: re-write of the I/O code in Cygwin32 so don't expect it anytime
: soon...

I need timers urgent, too.

I have good knowledge of VMS and was forced to unix and now partially to NT.
VMS is not the culprit, there it's called AST (Asynchronous System Trap),
which you can think of two threads at the user level. I used them much.

Now I rely on alarm(60) for a timeout on fgets() working on a socket via
fdopen(), then in the signal handler I close() the underlying socket...
May not be portable to all unixes, but works on hp-ux, DEC Unix/Alpha and
Linux/x86.

Bye, Heribert ([email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".